---
title: Firefox 57 (Quantum) for developers
slug: Mozilla/Firefox/Releases/57
tags:
  - '57'
  - Firefox
  - Firefox Quantum
  - Release Notes
  - Stylo
---
<div>{{FirefoxSidebar}}</div>

<p class="summary">This article provides information about the changes in Firefox 57 (a.k.a. Firefox Quantum) that will affect developers. Firefox 57 was released on November 14, 2017.</p>

<h2 id="Firefox_57_Firefox_Quantum">Firefox 57 === Firefox Quantum</h2>

<p>Firefox 57 has been given the release name <strong>Quantum</strong>, after the <a href="https://wiki.mozilla.org/Quantum">Firefox Quantum</a> engineering project that has aimed to rebuild Firefox from the ground up, bringing with it major performance, stability, and visual improvements. This is the first version of Firefox to ship some of these improvements, so we wanted to mark the occasion.</p>

<div class="note">
<p><strong>Note</strong>: To read more about the Quantum features in this release, see <a href="https://hacks.mozilla.org/2017/09/firefox-quantum-developer-edition-fastest-firefox-ever/">Firefox Quantum Developer Edition: the fastest Firefox ever with Photon UI and better tooling</a> by Dan Callahan.</p>
</div>

<p><a href="https://hacks.mozilla.org/2017/08/inside-a-super-fast-css-engine-quantum-css-aka-stylo/">Firefox's new parallel CSS engine</a> — also known as <strong>Quantum CSS</strong> or <strong>Stylo</strong> — is enabled by default in Firefox 57 for desktop, with Mobile versions of Firefox to follow later on. Developers shouldn't notice anything significantly different, aside from a whole host of performance improvements. There are however a number of minor functional differences in Stylo, implemented to fix non-standard Gecko behavior that should be eliminated. We will report on such differences on reference pages and in the release notes as appropriate (see {{anch("Quantum CSS notes")}}).</p>

<h2 id="Changes_for_Web_developers">Changes for Web developers</h2>

<h3 id="Developer_Tools">Developer Tools</h3>

<p><em>No changes.</em></p>

<h3 id="HTML">HTML</h3>

<ul>
 <li>The <a href="/en-US/docs/Web/HTML/Element/input/date">date</a> and <a href="/en-US/docs/Web/HTML/Element/input/time">time</a> {{htmlelement("input")}} types are now enabled in all builds ({{bug("1399036")}}).</li>
</ul>

<h3 id="CSS">CSS</h3>

<ul>
 <li>The <code>minimal-ui</code> and <code>standalone</code> values of the <code><a href="/en-US/docs/Web/CSS/@media/display-mode">display-mode</a></code> media query are now supported ({{bug(1369815)}}). See also the <a href="/en-US/docs/Web/Manifest#display">Web app manifest <code>display</code> field</a>.</li>
 <li>The {{CSSxRef("grid-row-gap")}} and {{CSSxRef("grid-column-gap")}} properties are no longer reset by the {{CSSxRef("grid")}} shorthand ({{bug(1387410)}}).</li>
 <li>The <code>layout.css.clip-path-shapes.enabled</code> preference has been removed ({{bug(1399767)}}).  This preference allowed disabling the {{CSSxRef("&lt;basic-shape&gt;")}} support in {{CSSxRef("clip-path")}}.  This support was shipped in Firefox 54 and can no longer be disabled.</li>
</ul>

<h4 id="Quantum_CSS_notes">Quantum CSS notes</h4>

<p>Following bugs have been fixed in Quantum:</p>

<ul>
 <li>Radial gradient values like <code>radial-gradient(circle gold,red)</code> will work in the old Gecko style system, even though they shouldn't because of the missing comma between <code>circle</code> and <code>gold</code> ({{bug(1383323)}}). </li>
 <li>When you animate an offscreen element onscreen but specify a delay, Gecko does not repaint on some platforms, e.g. Windows ({{bug(1383239)}}). </li>
 <li>In Gecko, {{htmlelement("details")}} elements can't be made open by default using the <code>open</code> attribute if they have an {{CSSxRef("animation")}} active on them ({{bug(1382124)}}).</li>
 <li>In Gecko, {{CSSxRef("transition", "transitions")}} will not work when transitioning from a {{CSSxRef("text-shadow")}} with a color specified to a <code>text-shadow</code> without a color specified  ({{bug(726550)}}).</li>
 <li>In Gecko, cancelling a filling animation (e.g. with <code>animation-fill-mode: forwards</code> set) can trigger a transition set on the same element, although only once (see {{bug(1192592)}} and <a href="https://bug1192592.bmoattachments.org/attachment.cgi?id=8843824">these test cases</a> for more information). In general declarative animations should not trigger transitions. </li>
 <li>Animations using em units are not affected by changes to the {{CSSxRef("font-size")}} on the animated element's parent in Gecko, whereas they should be ({{bug(1254424)}}). </li>
 <li>Gecko also deals with <code>font-size</code> inheritance differently from Quantum CSS, meaning that for some language settings inherited font sizes end up being smaller than expected (see {{bug(1391341)}}). </li>
 <li>Gecko reuses the same mechanism used when parsing a url-token when parsing the <code>domain()</code> or <code>url-prefix()</code> URL matching functions for a {{CSSxRef("@document", "@-moz-document")}} rule. Quantum CSS does not use the same mechanism and it does not consider tokens invalid when they contain brackets or quotes ({{bug(1362333)}}).</li>
 <li>In Gecko, when you set a system font as the value of a canvas 2D context's {{DOMxRef("CanvasRenderingContext2D.font", "font")}} (e.g. <code>menu</code>), getting the font value fails to return the expected font (it returns nothing). This has been fixed in Quantum. ({{bug(1374885)}}).</li>
 <li>In Gecko, when you create a detached subtree (e.g. a {{htmlelement("div")}} created using {{DOMxRef("Document.createElement","createElement()")}} that is not yet inserted into the DOM), the subtree's root element is set as a block-level element. In Quantum CSS this is set as inline, as per spec ({{bug(1374994)}}).</li>
 <li>In Gecko, {{CSSxRef("calc")}} expressions are rejected — causing the value to be invalid — when used as the radius component of a {{CSSxRef("radial-gradient")}} function ({{bug(1376019)}}).</li>
 <li>In Gecko, <code>calc(1*2*3)</code> is not parsed successfully; Quantum CSS fixes this ({{bug(1379467)}}).</li>
 <li>In Quantum CSS, <a href="https://drafts.csswg.org/css-values-3/#calc-notation"><code>calc()</code> is supported everywhere that the spec explains it should be</a> ({{bug(1350857)}}). In Gecko it is not.</li>
 <li>Gecko has a bug whereby the {{CSSxRef("::before")}} and {{CSSxRef("::after")}} pseudo-elements are still generated even if the {{CSSxRef("content")}} property value is set to <code>normal</code> or <code>none</code>. As per spec, they shouldn't be ({{bug(1387931)}}).</li>
 <li>Another Gecko bug means that the {{CSSxRef("background-position")}} property can't be transitioned between two values containing different numbers of {{CSSxRef("&lt;position&gt;")}} values, for example <code>background-position: 10px 10px;</code> and <code>background-position: 20px 20px, 30px 30px;</code> (see {{bug(1390446)}}). </li>
</ul>

<h3 id="SVG">SVG</h3>

<p><em>No changes.</em></p>

<h3 id="JavaScript">JavaScript</h3>

<ul>
 <li>The non-standard {{JSxRef("Statements/for_each...in", "for each...in")}} (E4X) loop has been removed. Please use {{JSxRef("Statements/for...of", "for...of")}} instead and see <a href="/en-US/docs/Web/JavaScript/Reference/Errors/For-each-in_loops_are_deprecated">Warning: JavaScript 1.6's for-each-in loops are deprecated</a> for migration help. ({{bug(1083470)}}).</li>
 <li>The {{JSxRef("Object.prototype.watch()")}} and {{JSxRef("Object.unwatch", "unwatch()")}} methods are deprecated, will now throw a warning when used, and will be removed soon ({{bug(934669)}}).</li>
 <li>The non-standard {{JSxRef("Iterator")}} and {{JSxRef("StopIteration")}} objects as well as the legacy iteration protocol have been removed ({{bug(1098412)}}).</li>
 <li>Async generator is now enabled ({{bug(1352312)}}).</li>
 <li>for await (... of ...) syntax is now enabled ({{bug(1352312)}}).</li>
</ul>

<h3 id="APIs">APIs</h3>

<h4 id="New_APIs">New APIs</h4>

<ul>
 <li>The {{DOMxRef("PerformanceObserver")}} API is now enabled by default ({{bug(1386021)}}).</li>
 <li>The {{DOMxRef("AbortController")}} and {{DOMxRef("AbortSignal")}} interfaces (known as the Abort API) have been added, allowing DOM requests (such as <a href="/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch">fetch requests</a>) to be aborted if desired ({{bug(1378342)}}).</li>
 <li>[2] The <a href="/en-US/docs/Web/API/Storage_API">Storage API</a> is implemented and enabled by default ({{bug(1399038)}}).</li>
</ul>

<h4 id="DOM">DOM</h4>

<ul>
 <li>The {{DOMxRef("Selection.type")}} property of the <a href="/en-US/docs/Web/API/Selection_API">Selection API</a> is now implemented ({{bug(1359157)}}).</li>
 <li>{{DOMxRef("Document.createEvent", "Document.createEvent('FocusEvent')")}} is now supported ({{bug(1388069)}}).</li>
 <li>The <code>files</code> property of the {{DOMxRef("HTMLInputElement")}} interface is now settable ({{bug(1384030)}}).</li>
 <li>The <code>HTMLDocument.getSelection()</code> method has been moved to the {{DOMxRef("Document.getSelection","Document")}} interface so it is available to XML documents ({{bug(718711)}}).</li>
 <li>The {{Event("messageerror")}} event is now implemented, and can have code run in response to it firing via event handlers implemented on message targets — see {{DOMxRef("MessagePort.onmessageerror")}}, {{DOMxRef("DedicatedWorkerGlobalScope.onmessageerror")}}, {{DOMxRef("Worker.onmessageerror")}}, {{DOMxRef("BroadcastChannel.onmessageerror")}}, and {{DOMxRef("Window.onmessageerror")}} ({{bug(1359017)}}).</li>
 <li>When {{DOMxRef("Headers")}} values are iterated over, they are automatically sorted in lexicographical order, and values from duplicate header names are combined ({{bug(1396848)}}).</li>
</ul>

<h4 id="DOM_events">DOM events</h4>

<p><em>No changes.</em></p>

<h4 id="Media_and_WebRTC">Media and WebRTC</h4>

<ul>
 <li>Support for messages of arbitrary size (up to 1GiB, although 256kiB is more interoperable) is now supported on {{DOMxRef("RTCDataChannel")}} through use of the end-of-record (EOR) flag on SCTP messages. See {{SectionOnPage("/en-US/docs/Web/API/WebRTC_API/Using_data_channels", "Understanding message size limits")}} for more information ({{bug(979417)}}).
  <div class="note">Because Firefox doesn't yet support the SCTP ndata protocol that provides the ability to interleave SCTP messages from multiple sources, sending large data objects can cause significant delays on all other SCTP traffic. See {{bug(1381145)}} to track progress on implementing and deploying ndata support in Firefox..</div>
 </li>
 <li>The {{DOMxRef("RTCDataChannel.send()")}} method can now throw a <code>TypeError</code> exception if the size of the message you're trying to send is not compatible with the receiving {{Glossary("user agent")}} (this is implemented as part of {{bug(979417)}}).</li>
 <li>The <a href="/en-US/docs/Web/API/MediaStream_Recording_API">MediaStream Recording API</a> has been updated so that {{event("error")}} events sent to report problems that occur while recording are now of type {{DOMxRef("MediaRecorderErrorEvent")}} rather than being generic events.</li>
 <li>Updated the documentation around {{DOMxRef("OfflineAudioContext")}} since its constructor's inputs can now be specified in an object rather than as a list of parameters ({{bug(1388591)}}).</li>
 <li>The Web Audio API now properly supports multi-channel output ({{bug(1378070)}}).</li>
</ul>

<h3 id="Security">Security</h3>

<ul>
 <li><code>resource://</code> URLs no longer leak information ({{bug(863246)}})</li>
 <li>Data URIs are now treated as unique opaque origins, rather than inheriting the origin of the settings object responsible for the navigation ({{bug(1324406)}}).</li>
</ul>

<h3 id="Plugins">Plugins</h3>

<p><em>No changes.</em></p>

<h3 id="Other">Other</h3>

<ul>
 <li>Firefox <a href="/en-US/docs/Mozilla/Firefox/Headless_mode">headless mode</a> now includes a <code>-screenshot</code> flag that allows you to take website screenshots directly from the command line ({{bug(1378010)}}).</li>
</ul>

<h2 id="Removals_from_the_web_platform">Removals from the web platform</h2>

<h3 id="HTML_2">HTML</h3>

<ul>
 <li><code>&lt;link rel="preload"&gt;</code> (see <a href="/en-US/docs/Web/HTML/Preloading_content">Preloading content with rel="preload"</a>) has been disabled in Firefox 57 because of various web compatibility issues (e.g. {{bug(1405761)}}). An improved version that works for non-cacheable resources is expected to land in Firefox 58.</li>
</ul>

<h3 id="APIs_2">APIs</h3>

<ul>
 <li>Mozilla's proprietary <a href="/en-US/docs/Archive/Social_API">Social API</a> has been completely removed ({{bug(1388902)}}).</li>
</ul>

<h3 id="SVG_2">SVG</h3>

<p><em>No changes.</em></p>

<h2 id="Changes_for_add-on_and_Mozilla_developers">Changes for add-on and Mozilla developers</h2>

<div class="note">
<p>Starting in Firefox 57, all support for XPCOM-based add-ons has been removed. All extensions must be converted into the new <a href="/en-US/Add-ons/WebExtensions">browser extensions</a> (also known as WebExtensions) or they will not work.</p>
</div>

<h3 id="WebExtensions">WebExtensions</h3>

<p>The following APIs have been added or extended:</p>

<ul>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/bookmarks">bookmarks</a></code>

  <ul>
   <li>support for separators through <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/bookmarks/BookmarkTreeNodeType">bookmarks.BookmarkTreeNodeType</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/manifest.json/browser_action">browser_action</a></code>
  <ul>
   <li><code>theme_icons</code> property for light/dark theme icons</li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/browserAction">browserAction</a></code>
  <ul>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/browserAction/openPopup">browserAction.openPopup()</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/browserSettings">browserSettings</a></code>
  <ul>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/browserSettings/allowPopupsForUserEvents">allowPopupsForUserEvents</a></code></li>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/browserSettings/homepageOverride">homepageOverride</a></code></li>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/browserSettings/imageAnimationBehavior">imageAnimationBehavior</a></code></li>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/browserSettings/newTabPageOverride">newTabPageOverride</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/browsingData">browsingData</a></code>
  <ul>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/browsingData/removeLocalStorage">browsingData.removeLocalStorage()</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/clipboard">clipboard</a></code>
  <ul>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/clipboard/setImageData">setImageData()</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/contextualIdentities">contextualIdentities</a></code>
  <ul>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/contextualIdentities/onCreated">onCreated</a></code></li>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/contextualIdentities/onRemoved">onRemoved</a></code></li>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/contextualIdentities/onUpdated">onUpdated</a></code></li>
   <li><code>colorCode</code> and <code>iconUrl</code> in <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/contextualIdentities/ContextualIdentity">contextualIdentitities.ContextualIdentity</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/devtools.panels">devtools.panels</a></code>
  <ul>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/devtools.panels/ElementsPanel/createSidebarPane">devtools.panels.ElementsPanel.createSidebarPane()</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/downloads">downloads</a></code>
  <ul>
   <li><code>incognito</code> option in <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/downloads/download">downloads.download()</a></code></li>
   <li><code>estimatedEndTime</code> property in <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/downloads/DownloadItem">downloads.DownloadItem</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/Add-ons/WebExtensions/API/find">find</a></code>
  <ul>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/find/find">find()</a></code></li>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/find/highlightResults">highlightResults()</a></code></li>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/find/removeHighlighting">removeHighlighting()</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/pageAction/openPopup">pageAction.openPopup()</a></code></li>
 <li><code><a href="/en-US/Add-ons/WebExtensions/API/privacy/websites">privacy</a></code>
  <ul>
   <li><code><a href="/en-US/Add-ons/WebExtensions/API/privacy/websites">websites.trackingProtectionMode</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/proxy">proxy</a></code>
  <ul>
   <li><code>FindProxyForURL()</code> can now return an object</li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/runtime">runtime</a></code>
  <ul>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/runtime/openOptionsPage">runtime.openOptionsPage()</a></code> support on Android</li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/sessions">sessions</a></code>
  <ul>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/sessions/setTabValue">setTabValue()</a></code></li>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/sessions/getTabValue">getTabValue()</a></code></li>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/sessions/removeTabValue">removeTabValue()</a></code></li>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/sessions/setWindowValue">setWindowValue()</a></code></li>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/sessions/getWindowValue">getWindowValue()</a></code></li>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/sessions/removeWindowValue">removeWindowValue()</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/sidebarAction">sidebarAction</a></code>
  <ul>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/sidebarAction/open">sidebarAction.open()</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/storage">storage</a></code>
  <ul>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/storage/managed">storage.managed</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/tabs">tabs</a></code>
  <ul>
   <li><code>loadReplace</code> option in <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/tabs/update">tabs.update()</a></code></li>
   <li><code>discarded</code> property in <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/tabs/Tab">tabs.Tab</a></code>, <code><a href="/en-US/docs/">tabs.onUpdated</a></code>, and <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/tabs/query">tabs.query()</a></code></li>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/tabs/create">tabs.create()</a></code> can open "view-source:" URLs</li>
   <li><code>openerTabId</code> property in <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/tabs/Tab">tabs.Tab</a></code>, <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/tabs/create">tabs.create()</a></code>, <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/tabs/query">tabs.query()</a></code>, and <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/tabs/update">tabs.update()</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/manifest.json/theme">theme</a></code>
  <ul>
   <li><code>colors.toolbar</code></li>
   <li><code>colors.toolbar_field</code></li>
   <li><code>colors.toolbar_field_text</code></li>
   <li><code>colors.toolbar_text</code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/theme">theme</a></code>
  <ul>
   <li><code>windowId</code> option to <code><a href="/en-US/Add-ons/WebExtensions/API/theme/update">theme.update()</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/webRequest">webRequest</a></code>
  <ul>
   <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/webRequest/filterResponseData">filterResponseData()</a></code></li>
   <li><code>proxyInfo</code> property in <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/webRequest">webRequest</a></code> events</li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/windows">windows</a></code>
  <ul>
   <li><code>allowScriptsToClose</code> option in <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/windows/create">windows.create()</a></code></li>
  </ul>
 </li>
</ul>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.fxsitecompat.com/en-US/versions/57">Site Compatibility for Firefox 57</a></li>
</ul>

<h2 id="Older_versions">Older versions</h2>

<p>{{Firefox_for_developers(56)}}</p>
